Skip to content

/api/v1/outbound/carrier-accounts/{carrierAccountId} (PUT)

PUT
/api/v1/outbound/carrier-accounts/{carrierAccountId}
curl --request PUT \
--url https://example.com/api/v1/outbound/carrier-accounts/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "name": "example", "provider": "Simulated", "apiKey": "example", "isDefault": true }'
carrierAccountId
required
string format: uuid
object
name
string
provider
string
nullable
Allowed values: Simulated EasyPost
apiKey
string
nullable
isDefault
boolean

OK

object
id
required
string format: uuid
name
required
string
provider
required
string
Allowed values: Simulated EasyPost
isDefault
required
boolean
hasApiKey
required
boolean
apiKeyLast4
required
string
nullable
createdAt
required
string format: date-time
updatedAt
required
string format: date-time

Bad Request

object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable

Not Found

object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable

Conflict

object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable